pcntl_wexitstatus
pcntl_wifsignaled
PCNTL Functions
PHP Manual

# pcntl_wifexited

(PHP 4 >= 4.1.0, PHP 5)

pcntl_wifexited — Checks if status code represents a normal exit

### Description

bool pcntl_wifexited ( int `$status` )

Checks whether the child status code represents a normal exit.

### Parameters

`status`

  The `status` parameter is the status parameter supplied to a successful call to pcntl_waitpid().

### Return Values

Returns `TRUE` if the child status code represents a normal exit, `FALSE` otherwise.

### See Also

- pcntl_waitpid() - Waits on or returns the status of a forked child
- pcntl_wexitstatus() - Returns the return code of a terminated child

pcntl_wexitstatus
pcntl_wifsignaled
PCNTL Functions
PHP Manual